document.getElementById('compatibilityForm').addEventListener('submit', function(event) {
  event.preventDefault();
  const name = document.getElementById('name').value;
  const birthdate = document.getElementById('birthdate').value;
  const compatibility = calculateCompatibility(name, birthdate);
  document.getElementById('compatibilityResult').textContent = `Compatibility Score: ${compatibility}%`;
});

function calculateCompatibility(name, birthdate) {
  // Simple compatibility calculation for demonstration
  const nameLength = name.length;
  const birthdateSum = birthdate.split('-').reduce((sum, part) => sum + parseInt(part), 0);
  const compatibility = (nameLength + birthdateSum) % 100;
  return compatibility;
}